## org.eclipse.datatools.enablement.sybase.asa.models.sybaseasabasesqlmodel
Interface EventCondition

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, SQLObject

All Known Implementing Classes:
  EventConditionImpl

    public interface EventCondition

extends SQLObject

A representation of the model object 'Event Condition'.

The following features are supported:

- `Operator`
- `Value`
- `Event`

See Also:
  `SybaseasabasesqlmodelPackage.getEventCondition()`

Method Summary
`SybaseASABaseEvent` `getEvent()` Returns the value of the 'Event' container reference.
`java.lang.String` `getOperator()` Returns the value of the 'Operator' attribute.
`int` `getValue()` Returns the value of the 'Value' attribute.
`void` `setEvent(SybaseASABaseEvent value)` Sets the value of the '`Event`' container reference.
`void` `setOperator(java.lang.String value)` Sets the value of the '`Operator`' attribute.
`void` `setValue(int value)` Sets the value of the '`Value`' attribute.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getOperator

    java.lang.String getOperator()

  Returns the value of the 'Operator' attribute.

  If the meaning of the 'Operator' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Operator' attribute.
  See Also:
    `setOperator(String)`, `SybaseasabasesqlmodelPackage.getEventCondition_Operator()`

### setOperator

    void setOperator(java.lang.String value)

  Sets the value of the '`Operator`' attribute.

  Parameters:
    `value` - the new value of the 'Operator' attribute.
  See Also:
    `getOperator()`

### getValue

    int getValue()

  Returns the value of the 'Value' attribute. x01 = first day | x02 = second day | ... x40000000 = 31st day | x80000000 = last day of month

  Returns:
    the value of the 'Value' attribute.
  See Also:
    `setValue(int)`, `SybaseasabasesqlmodelPackage.getEventCondition_Value()`

### setValue

    void setValue(int value)

  Sets the value of the '`Value`' attribute.

  Parameters:
    `value` - the new value of the 'Value' attribute.
  See Also:
    `getValue()`

### getEvent

    SybaseASABaseEvent getEvent()

  Returns the value of the 'Event' container reference. It is bidirectional and its opposite is '`Condition Details`'.

  If the meaning of the 'Event' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Event' container reference.
  See Also:
    `setEvent(SybaseASABaseEvent)`, `SybaseasabasesqlmodelPackage.getEventCondition_Event()`, `SybaseASABaseEvent.getConditionDetails()`

### setEvent

    void setEvent(SybaseASABaseEvent value)

  Sets the value of the '`Event`' container reference.

  Parameters:
    `value` - the new value of the 'Event' container reference.
  See Also:
    `getEvent()`